Subject: Re: bug#10234: Coreutils incompatibility with POSIX make

From: Assaf Gordon <[email-masked]>
Date: Mon, 15 Oct 2018 08:51:50 -0600

tags 10234 wontfix
close 10234
stop

(triaging old bugs)

Hello,

On 06/12/11 10:41 AM, Eric Blake wrote:
> On 12/06/2011 10:36 AM, Jim Meyering wrote:
>> Paul Eggert wrote:
>>>
>>> On 12/06/11 01:11, Basavaraj B wrote:
>>>
>>>> )rm -f alloca.h-t alloca.h &&  { echo '/* DO NOT EDIT! GENERATED
>>>> AUTOMATICALLY! */';  cat ./alloca.in.h;  } > alloca.h-h
>>>> /bin/sh: syntax error at line 1 : `)' unexpected
>>>> *** Error code 2
>>>
>>> Ouch.  Coreutils is built with Automake's silent-rules feature,
>>> and as I just now discovered, that feature is documented to not
>>> be portable to POSIX make.
[...]
>>
>> IMO, nonstop is a fringe target, so I am very reluctant to
>> sacrifice the above default solely to accommodate that system.
[...]
> That, and POSIX is considering standardizing make behavior of nested
> variable expansion

As such (and with no further follow-up in 6 years),
I'm closing this bug.

regards,
  -a ssaf